org.apache.lucene.search.join

## Enum ScoreMode

- java.lang.Object
- - java.lang.Enum<ScoreMode>
  - - org.apache.lucene.search.join.ScoreMode

- All Implemented Interfaces:
    Serializable, Comparable<ScoreMode>

      public enum ScoreMode
      extends Enum<ScoreMode>

  How to aggregate multiple child hit scores into a single parent score.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Avg` Parent hit's score is the average of all child scores.
    `Max` Parent hit's score is the max of all child scores.
    `Min` Parent hit's score is the min of all child scores.
    `None` Do no scoring.
    `Total` Parent hit's score is the sum of all child scores.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScoreMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScoreMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final ScoreMode None

      Do no scoring.

    - #### Avg

          public static final ScoreMode Avg

      Parent hit's score is the average of all child scores.

    - #### Max

          public static final ScoreMode Max

      Parent hit's score is the max of all child scores.

    - #### Total

          public static final ScoreMode Total

      Parent hit's score is the sum of all child scores.

    - #### Min

          public static final ScoreMode Min

      Parent hit's score is the min of all child scores.

  - ### Method Detail

    - #### values

          public static ScoreMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScoreMode c : ScoreMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScoreMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.